#859 closed defect (fixed)

Latest newlib/gcc flag some implicit casts as errors

Reported by: Eric Norum Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: score Version: unknown
Severity: major Keywords:
Cc: bugs@…, norume@… Blocked By:
Blocking:

Description

The latest version of gcc and newlib combine to cause errors when performing some implicit casts.

Release:
CVS head

Environment:
gcc-4.0.2, newlib-1.14

How-To-Repeat:
Compile RTEMS sample programs with gcc-4.0.2 and newlib1.14.

Attachments (1)

patch (2.7 KB) - added by Eric Norum on Dec 3, 2006 at 1:31:13 PM.
patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Jan 15, 2006 at 5:52:38 PM by Eric Norum

Status: assignedwaiting

Changed on Dec 3, 2006 at 1:31:13 PM by Eric Norum

Attachment: patch added

patch

comment:2 Changed on Aug 5, 2008 at 3:01:23 PM by Joel Sherrill

Milestone: 4.9
rep_platform: All
Resolution: fixed
Status: assignedclosed

Should have been closed long ago. It is against very old tools source and RTEMS.

Note: See TracTickets for help on using tickets.